Debian Bug report logs - #635474
RFP: libjs-jquery-hotkeys -- jQuery plugin for intercepting keyboard events

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ben Finney <ben+debian@benfinney.id.au>

Date: Tue, 26 Jul 2011 04:51:01 UTC

Severity: wishlist

Fixed in version libjs-jquery-hotkeys/0~20130707+git2d51e3a9+dfsg-1

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ben+debian@benfinney.id.au, wnpp@debian.org:
Bug#635474; Package wnpp. (Tue, 26 Jul 2011 04:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
New Bug report received and forwarded. Copy sent to ben+debian@benfinney.id.au, wnpp@debian.org. (Tue, 26 Jul 2011 04:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libjs-jquery-hotkeys -- jQuery plugin for intercepting keyboard events
Date: Tue, 26 Jul 2011 14:47:05 +1000
Package: wnpp
Severity: wishlist

* Package name    : libjs-jquery-hotkeys
  Version         : 0.7.9
  Upstream Author : John Resig
* URL or Web page : https://code.google.com/p/js-hotkeys/
* License         : Dual-license: GPL-2 and Expat (MIT)
  Description     : jQuery plugin for intercepting keyboard events

   jQuery Hotkeys is a plug-in that lets you easily add and remove
   handlers for keyboard events anywhere in your code, supporting almost
   any key combination.

-- 
 \       “The surest way to corrupt a youth is to instruct him to hold |
  `\       in higher esteem those who think alike than those who think |
_o__)             differently.” —Friedrich Nietzsche, _The Dawn_, 1881 |
Ben Finney <ben@benfinney.id.au>




Added indication that bug 635474 blocks 635476 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 26 Jul 2011 05:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635474; Package wnpp. (Wed, 22 May 2013 11:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 11:24:09 GMT) Full text and rfc822 format available.

Message #12 received at 635474@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@ubuntu.com>
To: Ben Finney <ben+debian@benfinney.id.au>, 635476@bugs.debian.org
Cc: Barry Warsaw <barry@python.org>, 635474@bugs.debian.org, 635475@bugs.debian.org
Subject: Re: Bug#635476: duplicated library code
Date: Wed, 22 May 2013 15:21:51 +0400
On Wed, May 22, 2013 at 5:53 AM, Ben Finney <ben+debian@benfinney.id.au> wrote:
> On 21-May-2013, Barry Warsaw wrote:
>> On May 21, 2013, at 01:30 PM, Ben Finney wrote:
>> >Barry Warsaw wrote:
>> >> Can't we get coverage 3.6 into Debian, with enabled Python 3 support now?
>> >
>> >If you can see a way to do it without adding those libraries in the
>> >package, sure. I think it would not be worthwhile to bundle them with
>> >‘python-coverage’.
>>
>> I don't personally use any of the html stuff in coverage, so for me, if it's
>> just a degradation in the html output, I won't care.  Others might, but I'll
>> let them fix the JavaScript packaging issues.
>
> That's not a solution for Debian, then. The Debian package will need to
> wait for a way that works for Debian; and for now, I see the most likely
> option is to get those who want this in Debian to motivate someone skilled
> to package the third-party libraries needed.

I've taken a quick look at those two RFPs.

libjs-jquery-hotkeys:

- code.google.com page says that the development has been moved to
https://github.com/jeresig/jquery.hotkeys
- that github repo is a fork of
https://github.com/tzuryby/jquery.hotkeys, forked about 4 years ago
and not in sync
- looks like compatible with jquery 1.7, but I didn't test it with 2.0
(which is not in Debian yet)

libjs-jquery-isonscreen:

- only has an entry on old jquery plugins website, not on the new
plugins.jquery.com
- doesn't seem to be compatible with jquery 1.7

I can try to package the first one (hotkeys), but probably I won't
have time for it until next week.

--
Dmitry Shachnev



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635474; Package wnpp. (Wed, 22 May 2013 15:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 15:57:09 GMT) Full text and rfc822 format available.

Message #17 received at 635474@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: Dmitry Shachnev <mitya57@ubuntu.com>
Cc: Ben Finney <ben+debian@benfinney.id.au>, 635476@bugs.debian.org, 635474@bugs.debian.org, 635475@bugs.debian.org
Subject: Re: Bug#635476: duplicated library code
Date: Wed, 22 May 2013 11:46:03 -0400
[Message part 1 (text/plain, inline)]
On May 22, 2013, at 03:21 PM, Dmitry Shachnev wrote:

>I can try to package the first one (hotkeys), but probably I won't
>have time for it until next week.

That would be great.  I personally have no interest or time to package
JavaScript stuff, and I definitely don't want to be a maintainer for any JS
packages.

If the consensus is indeed that upgrading coverage in Debian must block on
packaging the JS components, so be it.  I will gladly help with coverage
packaging, including adding Python 3 support, once the JS bits are done.
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Mon, 08 Jul 2013 06:03:07 GMT) Full text and rfc822 format available.

Notification sent to Ben Finney <ben+debian@benfinney.id.au>:
Bug acknowledged by developer. (Mon, 08 Jul 2013 06:03:07 GMT) Full text and rfc822 format available.

Message #22 received at 635474-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 635474-close@bugs.debian.org
Subject: bug 635474 is RFP for package libjs-jquery-hotkeys already in Debian
Date: Mon, 8 Jul 2013 07:58:56 +0200
Hi,

I'm closing this bug because this package is already in Debian: http://packages.qa.debian.org/libjs-jquery-hotkeys

Regards.



Marked as fixed in versions libjs-jquery-hotkeys/0~20130707+git2d51e3a9+dfsg-1. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 09 Jul 2013 13:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635474; Package wnpp. (Tue, 09 Jul 2013 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Jul 2013 13:33:04 GMT) Full text and rfc822 format available.

Message #29 received at 635474@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 635474@bugs.debian.org
Cc: Debian BTS control <control@bugs.debian.org>
Subject: Re: Bug#635474 closed by Mònica Ramírez Arceda <monica@debian.org> (bug 635474 is RFP for package libjs-jquery-hotkeys already in Debian)
Date: Tue, 9 Jul 2013 23:24:23 +1000
[Message part 1 (text/plain, inline)]
package wnpp
fixed 635474 libjs-jquery-hotkeys/0~20130707+git2d51e3a9+dfsg-1
thanks

On 08-Jul-2013, Mònica Ramírez Arceda <monica@debian.org> wrote:

> I'm closing this bug because this package is already in Debian:
> http://packages.qa.debian.org/libjs-jquery-hotkeys

Thank you. When closing bug reports, please specify (to
<control@bugs.debian.org>) the package version which fixes the bug.

-- 
 \                    “It's all in the mind, you know.” —The Goon Show |
  `\                                                                   |
_o__)                                                                  |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Aug 2013 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:36:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.